Eclipse Platform Release 3.7

## org.eclipse.update.operations
Interface IOperationFactory

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface IOperationFactory

A factory interface for creating operations.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Method Summary
`IBatchOperation` `createBatchInstallOperation(IInstallFeatureOperation[] operations)` Deprecated. Creates an operation for executing a set of feature operation in batch mode
`IConfigFeatureOperation` `createConfigOperation(IConfiguredSite targetSite, IFeature feature)` Deprecated. Creates an operation for configuring an installed feature in the specified site.
`IInstallFeatureOperation` `createInstallOperation(IConfiguredSite targetSite, IFeature feature, IFeatureReference[] optionalFeatures, IFeature[] unconfiguredOptionalFeatures, IVerificationListener verifier)` Deprecated. Creates an operation for installing a feature.
`IConfigFeatureOperation` `createReplaceFeatureVersionOperation(IFeature feature, IFeature anotherFeature)` Deprecated. Creates an operation for replacing this feature by a previous version
`IRevertConfigurationOperation` `createRevertConfigurationOperation(IInstallConfiguration config, IProblemHandler problemHandler)` Deprecated. Creates an operation to revert to a previous installation configuration.
`IToggleSiteOperation` `createToggleSiteOperation(IConfiguredSite site)` Deprecated. Creates ann operation to configure/unconfigure an installation site (also known as enable/disable site)
`IUnconfigFeatureOperation` `createUnconfigOperation(IConfiguredSite targetSite, IFeature feature)` Deprecated. Creates an operation for unconfiguring a feature
`IUninstallFeatureOperation` `createUninstallOperation(IConfiguredSite targetSite, IFeature feature)` Deprecated. Creates an operation to uninstall a feature

Method Detail

### createConfigOperation

    IConfigFeatureOperation createConfigOperation(IConfiguredSite targetSite,
                                                  IFeature feature)

  Deprecated.
  Creates an operation for configuring an installed feature in the specified site.

  Parameters:
    `targetSite` - site containing the feature to configure
    `feature` - feature to be configured
  Returns:
    the configure operation

### createUnconfigOperation

    IUnconfigFeatureOperation createUnconfigOperation(IConfiguredSite targetSite,
                                                      IFeature feature)

  Deprecated.
  Creates an operation for unconfiguring a feature

  Parameters:
    `targetSite` - site containing the feature to unconfigure
    `feature` - feature to be unconfigured
  Returns:
    the unconfigure operation

### createInstallOperation

    IInstallFeatureOperation createInstallOperation(IConfiguredSite targetSite,
                                                    IFeature feature,
                                                    IFeatureReference[] optionalFeatures,
                                                    IFeature[] unconfiguredOptionalFeatures,
                                                    IVerificationListener verifier)

  Deprecated.
  Creates an operation for installing a feature.

  Parameters:
    `targetSite` - site in which the feature is to be installed
    `feature` - feature to be installed
    `optionalFeatures` - optionally included features to be installed (if any)
    `unconfiguredOptionalFeatures` - when installing optional features, some can be left unconfigured
    `verifier` - operation verification listener
  Returns:
    the install operation

### createUninstallOperation

    IUninstallFeatureOperation createUninstallOperation(IConfiguredSite targetSite,
                                                        IFeature feature)

  Deprecated.
  Creates an operation to uninstall a feature

  Parameters:
    `targetSite` - site containing the feature to uninstall
    `feature` - feature to be uninstalled
  Returns:
    the uninstall operation

### createReplaceFeatureVersionOperation

    IConfigFeatureOperation createReplaceFeatureVersionOperation(IFeature feature,
                                                                 IFeature anotherFeature)

  Deprecated.
  Creates an operation for replacing this feature by a previous version

  Parameters:
    `feature` - current feature
    `anotherFeature` - the new feature to be swapped in
  Returns:
    the revert feature version operation

### createBatchInstallOperation

    IBatchOperation createBatchInstallOperation(IInstallFeatureOperation[] operations)

  Deprecated.
  Creates an operation for executing a set of feature operation in batch mode

  Parameters:
    `operations` - operation to execute in batch mode
  Returns:
    the batch operation

### createToggleSiteOperation

    IToggleSiteOperation createToggleSiteOperation(IConfiguredSite site)

  Deprecated.
  Creates ann operation to configure/unconfigure an installation site (also known as enable/disable site)

  Parameters:
    `site` - site to configure/unconfigure
  Returns:
    the toggle site operation

### createRevertConfigurationOperation

    IRevertConfigurationOperation createRevertConfigurationOperation(IInstallConfiguration config,
                                                                     IProblemHandler problemHandler)

  Deprecated.
  Creates an operation to revert to a previous installation configuration.

  Parameters:
    `config` - configuration to revert to
    `problemHandler` - error handler
  Returns:
    the revert operation

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.